<?php
namespace App\Controller;

use App\Controller\AppController;

/**
 * Funcionariocvs Controller
 *
 *
 * @method \App\Model\Entity\Funcionariocv[]|\Cake\Datasource\ResultSetInterface paginate($object = null, array $settings = [])
 */
class FuncionariocvsController extends AppController
{
    /**
     * Index method
     *
     * @return \Cake\Http\Response|null
     */
    public function index()
    {
        $funcionariocvs = $this->paginate($this->Funcionariocvs);

        $this->set(compact('funcionariocvs'));
    }

    /**
     * View method
     *
     * @param string|null $id Funcionariocv id.
     * @return \Cake\Http\Response|null
     * @throws \Cake\Datasource\Exception\RecordNotFoundException When record not found.
     */
    public function view($id = null)
    {
        $funcionariocv = $this->Funcionariocvs->get($id, [
            'contain' => [],
        ]);

        $this->set('funcionariocv', $funcionariocv);
    }

    /**
     * Add method
     *
     * @return \Cake\Http\Response|null Redirects on successful add, renders view otherwise.
     */
    public function add()
    {
        $funcionariocv = $this->Funcionariocvs->newEntity();
        if ($this->request->is('post')) {
            $funcionariocv = $this->Funcionariocvs->patchEntity($funcionariocv, $this->request->getData());
            if ($this->Funcionariocvs->save($funcionariocv)) {
                $this->Flash->success(__('The funcionariocv has been saved.'));

                return $this->redirect(['action' => 'index']);
            }
            $this->Flash->error(__('The funcionariocv could not be saved. Please, try again.'));
        }
        $this->set(compact('funcionariocv'));
    }

    /**
     * Edit method
     *
     * @param string|null $id Funcionariocv id.
     * @return \Cake\Http\Response|null Redirects on successful edit, renders view otherwise.
     * @throws \Cake\Datasource\Exception\RecordNotFoundException When record not found.
     */
    public function edit($id = null)
    {
        $funcionariocv = $this->Funcionariocvs->get($id, [
            'contain' => [],
        ]);
        if ($this->request->is(['patch', 'post', 'put'])) {
            $funcionariocv = $this->Funcionariocvs->patchEntity($funcionariocv, $this->request->getData());
            if ($this->Funcionariocvs->save($funcionariocv)) {
                $this->Flash->success(__('The funcionariocv has been saved.'));

                return $this->redirect(['action' => 'index']);
            }
            $this->Flash->error(__('The funcionariocv could not be saved. Please, try again.'));
        }
        $this->set(compact('funcionariocv'));
    }

    /**
     * Delete method
     *
     * @param string|null $id Funcionariocv id.
     * @return \Cake\Http\Response|null Redirects to index.
     * @throws \Cake\Datasource\Exception\RecordNotFoundException When record not found.
     */
    public function delete($id = null)
    {
        $this->request->allowMethod(['post', 'delete']);
        $funcionariocv = $this->Funcionariocvs->get($id);
        if ($this->Funcionariocvs->delete($funcionariocv)) {
            $this->Flash->success(__('The funcionariocv has been deleted.'));
        } else {
            $this->Flash->error(__('The funcionariocv could not be deleted. Please, try again.'));
        }

        return $this->redirect(['action' => 'index']);
    }
}
