<?php
namespace App\Controller;

use App\Controller\AppController;

/**
 * Lavaderos Controller
 *
 * @property \App\Model\Table\LavaderosTable $Lavaderos
 *
 * @method \App\Model\Entity\Lavadero[]|\Cake\Datasource\ResultSetInterface paginate($object = null, array $settings = [])
 */
class LavaderosController extends AppController
{

    /**
     * Index method
     *
     * @return \Cake\Http\Response|void
     */
    public function index()
    {

        $search = null;
        if(!empty($this->request->query['search'])){
            $search = $this->request->query['search'];
            $conditions = "estado = 0 and chasis like '%" . $search . "%'";
            $lavaderos = $this->Lavaderos->find('all', array('recursive' => -1, 'conditions' => $conditions, 'limit' => 200));
            $this->set('lavaderos', $this->paginate($lavaderos));

        }else{

            $this->paginate = [
                'conditions' => ['estado' => 0 ]
            ];

            $lavaderos = $this->paginate($this->Lavaderos);

            $this->set(compact('lavaderos'));
        }
    }

    /**
     * View method
     *
     * @param string|null $id Lavadero id.
     * @return \Cake\Http\Response|void
     * @throws \Cake\Datasource\Exception\RecordNotFoundException When record not found.
     */
    public function view($id = null)
    {
        $lavadero = $this->Lavaderos->get($id, [
            'contain' => []
        ]);

        $this->set('lavadero', $lavadero);
    }

    /**
     * Add method
     *
     * @return \Cake\Http\Response|null Redirects on successful add, renders view otherwise.
     */
   public function add($chasis = null)
    {
       
            $lavadero = $this->Lavaderos->newEntity();
            
            $lavadero = $this->Lavaderos->patchEntity($lavadero, $this->request->getData());
            $lavadero->chasis = $chasis;
            $lavadero->empleado = $this->Auth->User('empleado');
            $lavadero->usuarioapp = $this->Auth->User('id');
            $lavadero->fecha = date('d/m/Y');
            $lavadero->monto = 40000;
            $lavadero->estado = 0;

            if ($this->Lavaderos->save($lavadero)) {
                $this->Flash->success(__('Se cargo como lavado!'));

                echo "<script>history.go(-2)</script>";
            }else{
                $this->Flash->success(__('Chasis ya esta cargado!'));
                echo "<script>history.go(-2)</script>";
            }
        
        
    }

    /**
     * Edit method
     *
     * @param string|null $id Lavadero id.
     * @return \Cake\Http\Response|null Redirects on successful edit, renders view otherwise.
     * @throws \Cake\Network\Exception\NotFoundException When record not found.
     */
    public function edit($id = null)
    {
        $lavadero = $this->Lavaderos->get($id, [
            'contain' => []
        ]);
        if ($this->request->is(['patch', 'post', 'put'])) {
            $lavadero = $this->Lavaderos->patchEntity($lavadero, $this->request->getData());
            if ($this->Lavaderos->save($lavadero)) {
                $this->Flash->success(__('The lavadero has been saved.'));

                return $this->redirect(['action' => 'index']);
            }
            $this->Flash->error(__('The lavadero could not be saved. Please, try again.'));
        }
        $this->set(compact('lavadero'));
    }

    /**
     * Delete method
     *
     * @param string|null $id Lavadero id.
     * @return \Cake\Http\Response|null Redirects to index.
     * @throws \Cake\Datasource\Exception\RecordNotFoundException When record not found.
     */
    public function delete($id = null)
    {
        $this->request->allowMethod(['post', 'delete']);
        $lavadero = $this->Lavaderos->get($id);
        if ($this->Lavaderos->delete($lavadero)) {
            $this->Flash->success(__('The lavadero has been deleted.'));
        } else {
            $this->Flash->error(__('The lavadero could not be deleted. Please, try again.'));
        }

        return $this->redirect(['action' => 'index']);
    }
}
