<?php
namespace App\Controller;

use App\Controller\AppController;

/**
 * PropuestasFerias Controller
 *
 * @property \App\Model\Table\PropuestasFeriasTable $PropuestasFerias
 *
 * @method \App\Model\Entity\PropuestasFeria[]|\Cake\Datasource\ResultSetInterface paginate($object = null, array $settings = [])
 */
class PropuestasFeriasController extends AppController
{

    /**
     * Index method
     *
     * @return \Cake\Http\Response|void
     */
    public function index()
    {
        $propuestasFerias = $this->paginate($this->PropuestasFerias);

        $this->set(compact('propuestasFerias'));
    }

    /**
     * View method
     *
     * @param string|null $id Propuestas Feria id.
     * @return \Cake\Http\Response|void
     * @throws \Cake\Datasource\Exception\RecordNotFoundException When record not found.
     */
    public function view($id = null)
    {
        $propuestasFeria = $this->PropuestasFerias->get($id, [
            'contain' => []
        ]);

        $this->set('propuestasFeria', $propuestasFeria);
    }

    /**
     * Add method
     *
     * @return \Cake\Http\Response|null Redirects on successful add, renders view otherwise.
     */
    public function  add($chasis = null)
    {
        $propuestasFeria = $this->PropuestasFerias->newEntity();
        if ($this->request->is('post')) {
            $propuestasFeria = $this->PropuestasFerias->patchEntity($propuestasFeria, $this->request->getData());
            $hoy = getdate(); 
            $fecha = $hoy['mday']."/".$hoy['mon']."/".$hoy['year'];
            $hora = $hoy['hours'].":".$hoy['minutes'].":".$hoy['seconds'];

            $propuestasFeria->chasis = $chasis;
            $propuestasFeria->propuesta = ".";
            $propuestasFeria->observacion = ".";
            $propuestasFeria->estado = 0;
            $propuestasFeria->usuario = $this->Auth->User('empleado');
            $propuestasFeria->fecha = $fecha;
            $propuestasFeria->hora = $hora;
            $propuestasFeria->vendedor = $this->Auth->User('first_name') . ' ' . $this->Auth->User('last_name');

            if ($this->PropuestasFerias->save($propuestasFeria)) {
                $this->Flash->success(__('Propuesta publicada!'));

                echo "<script>history.go(-2)</script>";
            }
           
        }
        $this->set(compact('propuestasFeria'));
    }

  


    /**
     * Edit method
     *
     * @param string|null $id Propuestas Feria id.
     * @return \Cake\Http\Response|null Redirects on successful edit, renders view otherwise.
     * @throws \Cake\Network\Exception\NotFoundException When record not found.
     */
    public function edit($id = null)
    {
        $propuestasFeria = $this->PropuestasFerias->get($id, [
            'contain' => []
        ]);
        if ($this->request->is(['patch', 'post', 'put'])) {
            $propuestasFeria = $this->PropuestasFerias->patchEntity($propuestasFeria, $this->request->getData());
            if ($this->PropuestasFerias->save($propuestasFeria)) {
                $this->Flash->success(__('The propuestas feria has been saved.'));

                return $this->redirect(['action' => 'index']);
            }
            $this->Flash->error(__('The propuestas feria could not be saved. Please, try again.'));
        }
        $this->set(compact('propuestasFeria'));
    }

    /**
     * Delete method
     *
     * @param string|null $id Propuestas Feria id.
     * @return \Cake\Http\Response|null Redirects to index.
     * @throws \Cake\Datasource\Exception\RecordNotFoundException When record not found.
     */
    public function delete($id = null)
    {
        $this->request->allowMethod(['post', 'delete']);
        $propuestasFeria = $this->PropuestasFerias->get($id);
        if ($this->PropuestasFerias->delete($propuestasFeria)) {
            $this->Flash->success(__('The propuestas feria has been deleted.'));
        } else {
            $this->Flash->error(__('The propuestas feria could not be deleted. Please, try again.'));
        }

        return $this->redirect(['action' => 'index']);
    }
}
