<?php
namespace App\Controller;

use App\Controller\AppController;
use Cake\ORM\TableRegistry ; 

/**
 * Remates Controller
 *
 * @property \App\Model\Table\RematesTable $Remates
 *
 * @method \App\Model\Entity\Remate[]|\Cake\Datasource\ResultSetInterface paginate($object = null, array $settings = [])
 */
class RematesController extends AppController
{

    /**
     * Index method
     *
     * @return \Cake\Http\Response|void
     */
    public function index()
    {
        $remates = $this->Remates->find('all')
            ->join([
                'stocks' => [
                    'table' => 'stocks',
                    'type' => 'INNER',
                    'conditions' => [ 'remates.chasis = stocks.chasis' ]
                ],
            ])
            ->order(['remates.precio' => 'asc']);
            
   //     $this->Flash->success(compact('remates'));

         $cotizacion  =  TableRegistry::get('cotizaciones');
         $query = $cotizacion->find('all', ['conditions' => ['cotizaciones.id = (select max(id) from cotizaciones )']]);

         $cotizacions = TableRegistry::get('cotizacions');
                $querycoti = $cotizacions->find('all');
                $cotiventa = 0;
                $cotiventa = 0;
                foreach ($querycoti as $coti):
                    $cotiventa = $coti->doven;
                    $coticompra = $coti->docom;
                endforeach;
                $this->set("cotiventa" ,$cotiventa);


        $this->set(compact('remates'));

        $this->set("cotizacion" ,$query->first());

    }


    public function central()
    {
        $remates = $this->Remates->find('all')
            ->join([
                'stocks' => [
                    'table' => 'stocks',
                    'type' => 'INNER',
                    'conditions' => [ 'remates.chasis = stocks.chasis' ]
                ],
            ])
            ->where(['empresa = 1'])
            ->order(['remates.precio' => 'asc']);
        $cotizacion  =  TableRegistry::get('cotizaciones');
        $query = $cotizacion->find('all', ['conditions' => ['cotizaciones.id = (select max(id) from cotizaciones )']]);

        $cotizacions = TableRegistry::get('cotizacions');
                $querycoti = $cotizacions->find('all');
                $cotiventa = 0;
                $cotiventa = 0;
                foreach ($querycoti as $coti):
                    $cotiventa = $coti->doven;
                    $coticompra = $coti->docom;
                endforeach;
                $this->set("cotiventa" ,$cotiventa);

        $this->set(compact('remates'));
        $this->set("cotizacion" ,$query->first());
    }

    public function premio()
    {
        $remates = $this->Remates->find('all')
            ->join([
                'stocks' => [
                    'table' => 'stocks',
                    'type' => 'INNER',
                    'conditions' => [ 'remates.chasis = stocks.chasis' ]
                ],
            ])
            ->where(['empresa = 2'])
            ->order(['remates.precio' => 'asc']);
        $cotizacion  =  TableRegistry::get('cotizaciones');
        $query = $cotizacion->find('all', ['conditions' => ['cotizaciones.id = (select max(id) from cotizaciones )']]);


        $cotizacions = TableRegistry::get('cotizacions');
                $querycoti = $cotizacions->find('all');
                $cotiventa = 0;
                $cotiventa = 0;
                foreach ($querycoti as $coti):
                    $cotiventa = $coti->doven;
                    $coticompra = $coti->docom;
                endforeach;
                $this->set("cotiventa" ,$cotiventa);

        $this->set(compact('remates'));
        $this->set("cotizacion" ,$query->first());
    }

    public function km11()
    {
        $remates = $this->Remates->find('all')
            ->join([
                'stocks' => [
                    'table' => 'stocks',
                    'type' => 'INNER',
                    'conditions' => [ 'remates.chasis = stocks.chasis' ]
                ],
            ])
            ->where(['empresa = 3'])
            ->order(['remates.precio' => 'asc']);
        $cotizacion  =  TableRegistry::get('cotizaciones'); 
        $query = $cotizacion->find('all', ['conditions' => ['cotizaciones.id = (select max(id) from cotizaciones )']]);


        $cotizacions = TableRegistry::get('cotizacions');
                $querycoti = $cotizacions->find('all');
                $cotiventa = 0;
                $cotiventa = 0;
                foreach ($querycoti as $coti):
                    $cotiventa = $coti->doven;
                    $coticompra = $coti->docom;
                endforeach;
                $this->set("cotiventa" ,$cotiventa);

        $this->set(compact('remates'));
        $this->set("cotizacion" ,$query->first());

       
    }


    public function index45()
    {
        $remates = $this->Remates->find('all')
            ->join([
                'stocks' => [
                    'table' => 'stocks',
                    'type' => 'INNER',
                    'conditions' => [ 'remates.chasis = stocks.chasis' ]
                ],
            ])
            ->order(['remates.precio' => 'asc']);
            
      //  $this->Flash->success(compact('remates'));

         $cotizacion  =  TableRegistry::get('cotizaciones');
         $query = $cotizacion->find('all', ['conditions' => ['cotizaciones.id = (select max(id) from cotizaciones )']]);


        $this->set(compact('remates'));

        $this->set("cotizacion" ,$query->first());

    }


    public function index2()
    {




        $remates = $this->Remates->find()
            ->join([
                'stocks' => [
                    'table' => 'stocks',
                    'type' => 'INNER',
                    'conditions' => [ 'remates.chasis = stocks.chasis' ]
                ],
            ])
            ->order(['remates.modelo' => 'ASC']);
            debug($remates);
        $remates = $this->paginate($this->Remates);

        $this->set(compact('remates'));
    }

    /**
     * View method
     *
     * @param string|null $id Remate id.
     * @return \Cake\Http\Response|void
     * @throws \Cake\Datasource\Exception\RecordNotFoundException When record not found.
     */
    public function view($id = null)
    {
        $remate = $this->Remates->get($id, [
            'contain' => []
        ]);

        $this->set('remate', $remate);
    }

    /**
     * Add method
     *
     * @return \Cake\Http\Response|null Redirects on successful add, renders view otherwise.
     */
    public function add($chasis = null, $idchasis = null)
    {
        $remate = $this->Remates->newEntity();
        if ($this->request->is('post')) {
            $remate = $this->Remates->patchEntity($remate, $this->request->getData());
            $remate->chasis = $chasis;

            $tocks  =  TableRegistry::get('stocks');
            $query = $tocks->find('all', ['conditions' => ['stocks.chasis LIKE' => '%' . $chasis . '%']]);
            foreach ($query as $stock): 
                $remate->modelo = $stock->modelo . ' ' . $stock->ano . ' ' . $stock->color;
                $remate->imagen = $stock->imagen;
            endforeach;
            $hoy = getdate(); 
            $fecha = $hoy['mday']."/".$hoy['mon']."/".$hoy['year'];
            $remate->fecha = $fecha;
            $remate->costo = $idchasis;

            if ($this->Remates->save($remate)) {

                echo "<script>history.go(-2)</script>";
            }
            //$this->Flash->error(__('Ocurrio un error!'));
        }
        $this->set(compact('remate'));
    }

    /**
     * Edit method
     *
     * @param string|null $id Remate id.
     * @return \Cake\Http\Response|null Redirects on successful edit, renders view otherwise.
     * @throws \Cake\Network\Exception\NotFoundException When record not found.
     */
    public function edit($id = null)
    {
        $remate = $this->Remates->get($id, [
            'contain' => []
        ]);
        if ($this->request->is(['patch', 'post', 'put'])) {
            $remate = $this->Remates->patchEntity($remate, $this->request->getData());
            if ($this->Remates->save($remate)) {
                $this->Flash->success(__('The remate has been saved.'));

                return $this->redirect(['action' => 'index']);
            }
            $this->Flash->error(__('The remate could not be saved. Please, try again.'));
        }
        $this->set(compact('remate'));
    }

    /**
     * Delete method
     *
     * @param string|null $id Remate id.
     * @return \Cake\Http\Response|null Redirects to index.
     * @throws \Cake\Datasource\Exception\RecordNotFoundException When record not found.
     */
    public function delete($id = null)
    {
        $this->request->allowMethod(['post', 'delete']);
        $remate = $this->Remates->get($id);
        if ($this->Remates->delete($remate)) {
            $this->Flash->success(__('The remate has been deleted.'));
        } else {
            $this->Flash->error(__('The remate could not be deleted. Please, try again.'));
        }

        return $this->redirect(['action' => 'index']);
    }
}
