<?php
namespace App\Controller;

use App\Controller\AppController;
use Cake\ORM\TableRegistry ; 
use Cake\Datasource\ConnectionManager;

use Cake\Log\Log;


/**
 * Repuestos Controller
 *
 * @property \App\Model\Table\RepuestosTable $Repuestos
 */
class RepuestosController extends AppController
{
    
     public function initialize() {
        parent::initialize();
        $this->loadComponent( 'RequestHandler' );
    }
    
    public function beforeFilter(\Cake\Event\Event $event)
    {
        parent::beforeFilter($event);
        $this->Auth->allow(['addcantidad']);
    }
    
  
    public function index()
    {

        $search = null;
        if(!empty($this->request->query['search'])){
           
           
            $search = $this->request->query['search'];
            $search = preg_replace('/[^a-zA-ZñÑáéíóúÁÉÍÓÚ0-9 ]/', '', $search);
            $terms = explode(' ', trim($search));
            $terms = array_diff($terms, array(''));
            
            foreach($terms as $term){
                $terms1[] = preg_replace('/[^a-zA-ZñÑáéíóúÁÉÍÓÚ0-9 ]/', '', $term);
                $conditions[] = array(
                    'OR' => array(
                        array('upper(Repuestos.prr_codigo) LIKE' => '%' . strtoupper($term) .'%'),
                        array('upper(Repuestos.prr_descripcion) LIKE' => '%' . strtoupper($term) .'%'),
                    ), array('Repuestos.prr_stock > 0')
                );
            }
            
            $repuestos = $this->Repuestos->find('all', array('recursive' => -1, 'conditions' => $conditions, 'limit' => 200, 'order' => ['Repuestos.prr_descripcion' => 'asc']));
         
            
            $this->set('repuestos', $this->paginate($repuestos));
            $this->set('_serialize', ['repuestos']);
        } else  {                
            $this->paginate = [
                'conditions' => [
                    'Repuestos.prr_stock > 0'
                ],
                
                'order' => [
                    'Repuestos.prr_descripcion' => 'asc'
                ]
            ];
            
            $repuestos = $this->paginate($this->Repuestos);
            $this->set(compact('repuestos'));
            $this->set('_serialize', ['repuestos']);
        }
        $this->set('search', $search);
    }
    
    
    public function faltanfotos()
    {

        $search = null;
        if(!empty($this->request->query['search'])){
           
           
            $search = $this->request->query['search'];
            $search = preg_replace('/[^a-zA-ZñÑáéíóúÁÉÍÓÚ0-9 ]/', '', $search);
            $terms = explode(' ', trim($search));
            $terms = array_diff($terms, array(''));
            
            foreach($terms as $term){
                $terms1[] = preg_replace('/[^a-zA-ZñÑáéíóúÁÉÍÓÚ0-9 ]/', '', $term);
                $conditions[] = array(
                    'OR' => array(
                        array('upper(Repuestos.prr_codigo) LIKE' => '%' . strtoupper($term) .'%'),
                        array('upper(Repuestos.prr_descripcion) LIKE' => '%' . strtoupper($term) .'%'),
                    ), array('Repuestos.prr_stock > 0 and Repuestos.prr_imagen is null')
                );
            }
            
            $repuestos = $this->Repuestos->find('all', array('recursive' => -1, 'conditions' => $conditions, 'limit' => 200, 'order' => ['Repuestos.prr_descripcion' => 'asc']));
         
            
            $this->set('repuestos', $this->paginate($repuestos));
            $this->set('_serialize', ['repuestos']);
        } else  {                
            $this->paginate = [
                'conditions' => [
                    'Repuestos.prr_stock > 0',
                    'Repuestos.prr_imagen is null'
                ],
                
                'order' => [
                    'Repuestos.prr_descripcion' => 'asc'
                ]
            ];
            
            $repuestos = $this->paginate($this->Repuestos);
            $this->set(compact('repuestos'));
            $this->set('_serialize', ['repuestos']);
        }
        $this->set('search', $search);
    }
    
    
    
    public function addfoto2($codigo = null)
    {

        $repuesto = $this->Repuestos->newEntity();
        if ($this->request->is('post')) {
            
            foreach ($this->request->getData(["archivo"]['tmp_name']) as $imagenv) {
               
                    $image_name        = $codigo . '.jpg';
                    $image_tmp         = $imagenv[0]['tmp_name'];

                    if (!empty($imagenv[$i]['tmp_name'])) {
                        if (!move_uploaded_file($image_tmp, WWW_ROOT . 'img' . DS . 'repuesto' . DS . $image_name)) {
                            $this->Flash->error('no se movio');
                        }

                       /* if ($this->Imagenapps->save($imagenapp)) {
                            $sql = "update productos set pro_imagenapp = (SELECT min(codigo) || '.jpg' FROM imagenapps where chasis = '" . $chasis . "') where pro_codori = '" . $chasis . "'";
                            $connection = ConnectionManager::get('default');
                            $connection->execute($sql);
                            $connection->commit();
                            $connection->disconnect();
                        }*/
                    }
            }
            
            return $this->redirect(['action' => 'faltanfotos']);
        }
        $this->set('chasis', $chasis);
    }
    
    
    public function addfoto($id = null)
    {
        $repuesto = $this->Repuestos->newEntity();
        
        if ($this->request->is('post')) {
            $imagen = $this->request->getData('imagen');
           
            // Verificar si se ha enviado una imagen
            if (!empty($imagen['tmp_name'])) {
                $nombreArchivo = $id . '.jpg'; // El nombre del archivo que deseas guardar
                $rutaImagen = WWW_ROOT . 'img' . DS . 'repuesto' . DS . $nombreArchivo;
                
                if (move_uploaded_file($imagen['tmp_name'], $rutaImagen)) {
                    $repuestos = $this->Repuestos->get($id);
                    $repuestos->prr_imagen = $nombreArchivo;
                    
                    if ($this->Repuestos->save($repuestos)) {
                        $this->Flash->success('La imagen se guardó correctamente.');
                        return $this->redirect(['action' => 'faltanfotos']);
                    }
                    
                    
                } else {
                    $this->Flash->error('Hubo un error al mover la imagen.');
                }
            } else {
                $this->Flash->error('No se ha seleccionado ninguna imagen.');
            }
        }
    }

    
    public function addcantidad( $id = null ) {
            
            $this->render(false);
            if ($this->request->is('post')) {
                
                 $cantidad = $this->request->getData('cantidad');
                 $repuestoId = $this->request->getData('repuesto_id');
                 $sql = "INSERT INTO public.inventariorepuestos(cantidad, idrepuesto, usuario) VALUES (?, ?, ?)";
                 $connection = ConnectionManager::get('default');
                 $connection->execute($sql, [$cantidad, $repuestoId, $this->Auth->User('id') ]);
                 $connection->commit(); 
                 $connection->disconnect();
            }
            
    }
    
    
    public function inventario()
    {

        $search = null;
        if(!empty($this->request->query['search'])){
           
           
            $search = $this->request->query['search'];
            $search = preg_replace('/[^a-zA-ZñÑáéíóúÁÉÍÓÚ0-9 ]/', '', $search);
            $terms = explode(' ', trim($search));
            $terms = array_diff($terms, array(''));
            
            foreach($terms as $term){
                $terms1[] = preg_replace('/[^a-zA-ZñÑáéíóúÁÉÍÓÚ0-9 ]/', '', $term);
                $conditions[] = array(
                    'OR' => array(
                        array('upper(Repuestos.prr_codigo) LIKE' => '%' . strtoupper($term) .'%'),
                        array('upper(Repuestos.prr_descripcion) LIKE' => '%' . strtoupper($term) .'%'),
                    )
                );
            }
            
            $repuestos = $this->Repuestos->find('all', array('recursive' => -1, 'conditions' => $conditions, 'limit' => 200, 'order' => ['Repuestos.prr_descripcion' => 'asc']));
         
            
            $this->set('repuestos', $this->paginate($repuestos));
            $this->set('_serialize', ['repuestos']);
        } else  {                
            $this->paginate = [
                'conditions' => [
                    'length(Repuestos.prr_descripcion) > 0'
                ],
                
                'order' => [
                    'Repuestos.prr_descripcion' => 'asc'
                ]
            ];
            
            $repuestos = $this->paginate($this->Repuestos);
            $this->set(compact('repuestos'));
            $this->set('_serialize', ['repuestos']);
        }
        $this->set('search', $search);
    }
    
    
}