<?php
namespace App\Model\Table;

use Cake\ORM\Query;
use Cake\ORM\RulesChecker;
use Cake\ORM\Table;
use Cake\Validation\Validator;

/**
 * Agendachasis Model
 *
 *  @property \App\Model\Table\UsersTable|\Cake\ORM\Association\BelongsToMany $Users
 *
 * @method \App\Model\Entity\Agendachasi get($primaryKey, $options = [])
 * @method \App\Model\Entity\Agendachasi newEntity($data = null, array $options = [])
 * @method \App\Model\Entity\Agendachasi[] newEntities(array $data, array $options = [])
 * @method \App\Model\Entity\Agendachasi|bool save(\Cake\Datasource\EntityInterface $entity, $options = [])
 * @method \App\Model\Entity\Agendachasi patchEntity(\Cake\Datasource\EntityInterface $entity, array $data, array $options = [])
 * @method \App\Model\Entity\Agendachasi[] patchEntities($entities, array $data, array $options = [])
 * @method \App\Model\Entity\Agendachasi findOrCreate($search, callable $callback = null, $options = [])
 */
class AgendachasisTable extends Table
{

    /**
     * Initialize method
     *
     * @param array $config The configuration for the Table.
     * @return void
     */
    public function initialize(array $config)
    {
        parent::initialize($config);

        $this->table('agendachasis');
        $this->displayField('id');
        $this->primaryKey('id');
        
         $this->belongsTo('Users', [
            'foreignKey' => 'usuario'
        ]);

    }

    /**
     * Default validation rules.
     *
     * @param \Cake\Validation\Validator $validator Validator instance.
     * @return \Cake\Validation\Validator
     */
    public function validationDefault(Validator $validator)
    {
        $validator
            ->integer('id')
            ->allowEmpty('id', 'create');

      
        return $validator;
    }
    
    
     public function buildRules(RulesChecker $rules)
    {
        $rules->add($rules->existsIn(['usuario'], 'Users'));
       
        return $rules;
    }
    
}
