<?php
namespace App\Model\Table;

use Cake\ORM\Query;
use Cake\ORM\RulesChecker;
use Cake\ORM\Table;
use Cake\Validation\Validator;

/**
 * Asignarchofers Model
 *
 * @property \App\Model\Table\ChoferesTable&\Cake\ORM\Association\BelongsTo $Choferes
 *
 * @method \App\Model\Entity\Asignarchofer get($primaryKey, $options = [])
 * @method \App\Model\Entity\Asignarchofer newEntity($data = null, array $options = [])
 * @method \App\Model\Entity\Asignarchofer[] newEntities(array $data, array $options = [])
 * @method \App\Model\Entity\Asignarchofer|false save(\Cake\Datasource\EntityInterface $entity, $options = [])
 * @method \App\Model\Entity\Asignarchofer saveOrFail(\Cake\Datasource\EntityInterface $entity, $options = [])
 * @method \App\Model\Entity\Asignarchofer patchEntity(\Cake\Datasource\EntityInterface $entity, array $data, array $options = [])
 * @method \App\Model\Entity\Asignarchofer[] patchEntities($entities, array $data, array $options = [])
 * @method \App\Model\Entity\Asignarchofer findOrCreate($search, callable $callback = null, $options = [])
 */
class AsignarchofersTable extends Table
{
    /**
     * Initialize method
     *
     * @param array $config The configuration for the Table.
     * @return void
     */
    public function initialize(array $config)
    {
        parent::initialize($config);

        $this->setTable('asignarchofers');
        $this->displayField('id');
        $this->primaryKey('id');

        
        $this->belongsTo('Choferes', [
            'foreignKey' => 'chofere_id',
        ]);
    }

    /**
     * Default validation rules.
     *
     * @param \Cake\Validation\Validator $validator Validator instance.
     * @return \Cake\Validation\Validator
     */
    public function validationDefault(Validator $validator)
    {
        $validator
            ->integer('id')
            ->allowEmpty('id');

        $validator
            ->scalar('fecha')
            ->allowEmpty('fecha');

        $validator
            ->scalar('chasis')
            ->allowEmpty('chasis');

        $validator
            ->scalar('marca')
            ->allowEmpty('marca');

        $validator
            ->scalar('modelo')
            ->allowEmpty('modelo');

        $validator
            ->scalar('ano')
            ->allowEmpty('ano');

        $validator
            ->scalar('color')
            ->allowEmpty('color');

        $validator
            ->scalar('tipo')
            ->allowEmpty('tipo');

        $validator
            ->scalar('procedencia')
            ->allowEmpty('procedencia');

        $validator
            ->scalar('importador')
            ->allowEmpty('importador');

        $validator
            ->scalar('obs')
            ->allowEmpty('obs');

        $validator
            ->scalar('proveedor')
            ->maxLength('proveedor', 250)
            ->allowEmpty('proveedor');

        $validator
            ->scalar('comprobante')
            ->allowEmpty('comprobante');

        $validator
            ->integer('estado')
            ->allowEmpty('estado');

        $validator
            ->scalar('chofer')
            ->allowEmpty('chofer');

        return $validator;
    }

    /**
     * Returns a rules checker object that will be used for validating
     * application integrity.
     *
     * @param \Cake\ORM\RulesChecker $rules The rules object to be modified.
     * @return \Cake\ORM\RulesChecker
     */
    public function buildRules(RulesChecker $rules)
    {
        
        $rules->add($rules->existsIn(['chofere_id'], 'Choferes'));

        return $rules;
    }
}
