<?php
namespace App\Model\Table;

use Cake\ORM\Query;
use Cake\ORM\RulesChecker;
use Cake\ORM\Table;
use Cake\Validation\Validator;

/**
 * Autorizarrefuerzos Model
 *
 * @method \App\Model\Entity\Autorizarrefuerzo get($primaryKey, $options = [])
 * @method \App\Model\Entity\Autorizarrefuerzo newEntity($data = null, array $options = [])
 * @method \App\Model\Entity\Autorizarrefuerzo[] newEntities(array $data, array $options = [])
 * @method \App\Model\Entity\Autorizarrefuerzo|bool save(\Cake\Datasource\EntityInterface $entity, $options = [])
 * @method \App\Model\Entity\Autorizarrefuerzo|bool saveOrFail(\Cake\Datasource\EntityInterface $entity, $options = [])
 * @method \App\Model\Entity\Autorizarrefuerzo patchEntity(\Cake\Datasource\EntityInterface $entity, array $data, array $options = [])
 * @method \App\Model\Entity\Autorizarrefuerzo[] patchEntities($entities, array $data, array $options = [])
 * @method \App\Model\Entity\Autorizarrefuerzo findOrCreate($search, callable $callback = null, $options = [])
 */
class AutorizarrefuerzosTable extends Table
{

    /**
     * Initialize method
     *
     * @param array $config The configuration for the Table.
     * @return void
     */
    public function initialize(array $config)
    {
        parent::initialize($config);

        $this->setTable('autorizarrefuerzos');
        $this->setDisplayField('id');
        $this->setPrimaryKey('id');
    }

    /**
     * Default validation rules.
     *
     * @param \Cake\Validation\Validator $validator Validator instance.
     * @return \Cake\Validation\Validator
     */
    public function validationDefault(Validator $validator)
    {
        $validator
            ->integer('id')
            ->allowEmpty('id', 'create');

        $validator
            ->scalar('chasis')
            ->maxLength('chasis', 250)
            ->allowEmpty('chasis');

        $validator
            ->scalar('fecha')
            ->maxLength('fecha', 25)
            ->allowEmpty('fecha');

        $validator
            ->integer('estado')
            ->allowEmpty('estado');

        $validator
            ->integer('usuarioaprobado')
            ->allowEmpty('usuarioaprobado');

        $validator
            ->scalar('refuerzos')
            ->maxLength('refuerzos', 999)
            ->allowEmpty('refuerzos');

        return $validator;
    }
}
