<?php
namespace App\Model\Table;

use Cake\ORM\Query;
use Cake\ORM\RulesChecker;
use Cake\ORM\Table;
use Cake\Validation\Validator;

/**
 * CalidadConstruccions Model
 *
 * @method \App\Model\Entity\CalidadConstruccion get($primaryKey, $options = [])
 * @method \App\Model\Entity\CalidadConstruccion newEntity($data = null, array $options = [])
 * @method \App\Model\Entity\CalidadConstruccion[] newEntities(array $data, array $options = [])
 * @method \App\Model\Entity\CalidadConstruccion|bool save(\Cake\Datasource\EntityInterface $entity, $options = [])
 * @method \App\Model\Entity\CalidadConstruccion|bool saveOrFail(\Cake\Datasource\EntityInterface $entity, $options = [])
 * @method \App\Model\Entity\CalidadConstruccion patchEntity(\Cake\Datasource\EntityInterface $entity, array $data, array $options = [])
 * @method \App\Model\Entity\CalidadConstruccion[] patchEntities($entities, array $data, array $options = [])
 * @method \App\Model\Entity\CalidadConstruccion findOrCreate($search, callable $callback = null, $options = [])
 */
class CalidadConstruccionsTable extends Table
{

    /**
     * Initialize method
     *
     * @param array $config The configuration for the Table.
     * @return void
     */
    public function initialize(array $config)
    {
        parent::initialize($config);

        $this->setTable('calidad_construccions');
        $this->setDisplayField('descripcion');
        $this->setPrimaryKey('id');
    }

    /**
     * Default validation rules.
     *
     * @param \Cake\Validation\Validator $validator Validator instance.
     * @return \Cake\Validation\Validator
     */
    public function validationDefault(Validator $validator)
    {
        $validator
            ->integer('id')
            ->allowEmpty('id', 'create');

        $validator
            ->scalar('descripcion')
            ->maxLength('descripcion', 200)
            ->allowEmpty('descripcion');

        $validator
            ->numeric('costo')
            ->allowEmpty('costo');

        $validator
            ->numeric('preciocontado')
            ->allowEmpty('preciocontado');

        $validator
            ->numeric('preciocredito')
            ->allowEmpty('preciocredito');

        $validator
            ->numeric('descuentoporano')
            ->allowEmpty('descuentoporano');

        $validator
            ->integer('entrega')
            ->allowEmpty('entrega');

        $validator
            ->integer('plazosaldocuota')
            ->allowEmpty('plazosaldocuota');

        $validator
            ->integer('usuario')
            ->allowEmpty('usuario');

        $validator
            ->scalar('fechacreacion')
            ->maxLength('fechacreacion', 150)
            ->allowEmpty('fechacreacion');

        $validator
            ->integer('usuariomodify')
            ->allowEmpty('usuariomodify');

        $validator
            ->scalar('fechamodify')
            ->maxLength('fechamodify', 150)
            ->allowEmpty('fechamodify');

        return $validator;
    }
}
