<?php
namespace App\Model\Table;

use Cake\ORM\Query;
use Cake\ORM\RulesChecker;
use Cake\ORM\Table;
use Cake\Validation\Validator;

/**
 * Cantidadpropuestapordias Model
 *
 * @property \App\Model\Table\EmpleadosTable|\Cake\ORM\Association\BelongsTo $Empleados
 *
 * @method \App\Model\Entity\Cantidadpropuestapordia get($primaryKey, $options = [])
 * @method \App\Model\Entity\Cantidadpropuestapordia newEntity($data = null, array $options = [])
 * @method \App\Model\Entity\Cantidadpropuestapordia[] newEntities(array $data, array $options = [])
 * @method \App\Model\Entity\Cantidadpropuestapordia|bool save(\Cake\Datasource\EntityInterface $entity, $options = [])
 * @method \App\Model\Entity\Cantidadpropuestapordia|bool saveOrFail(\Cake\Datasource\EntityInterface $entity, $options = [])
 * @method \App\Model\Entity\Cantidadpropuestapordia patchEntity(\Cake\Datasource\EntityInterface $entity, array $data, array $options = [])
 * @method \App\Model\Entity\Cantidadpropuestapordia[] patchEntities($entities, array $data, array $options = [])
 * @method \App\Model\Entity\Cantidadpropuestapordia findOrCreate($search, callable $callback = null, $options = [])
 */
class CantidadpropuestapordiasTable extends Table
{

    /**
     * Initialize method
     *
     * @param array $config The configuration for the Table.
     * @return void
     */
    public function initialize(array $config)
    {
        parent::initialize($config);

        $this->setTable('cantidadpropuestapordias');

        $this->belongsTo('Empleados', [
            'foreignKey' => 'empleado_id'
        ]);
    }

    /**
     * Default validation rules.
     *
     * @param \Cake\Validation\Validator $validator Validator instance.
     * @return \Cake\Validation\Validator
     */
    public function validationDefault(Validator $validator)
    {
        $validator
            ->scalar('fecha')
            ->maxLength('fecha', 200)
            ->allowEmpty('fecha');

        $validator
            ->scalar('nombre')
            ->allowEmpty('nombre');

        $validator
            ->allowEmpty('cantidad');

        return $validator;
    }

    /**
     * Returns a rules checker object that will be used for validating
     * application integrity.
     *
     * @param \Cake\ORM\RulesChecker $rules The rules object to be modified.
     * @return \Cake\ORM\RulesChecker
     */
    public function buildRules(RulesChecker $rules)
    {
        $rules->add($rules->existsIn(['empleado_id'], 'Empleados'));

        return $rules;
    }
}
