<?php
namespace App\Model\Table;

use Cake\ORM\Query;
use Cake\ORM\RulesChecker;
use Cake\ORM\Table;
use Cake\Validation\Validator;

/**
 * FeriaUsados Model
 *
 * @method \App\Model\Entity\FeriaUsado get($primaryKey, $options = [])
 * @method \App\Model\Entity\FeriaUsado newEntity($data = null, array $options = [])
 * @method \App\Model\Entity\FeriaUsado[] newEntities(array $data, array $options = [])
 * @method \App\Model\Entity\FeriaUsado|bool save(\Cake\Datasource\EntityInterface $entity, $options = [])
 * @method \App\Model\Entity\FeriaUsado|bool saveOrFail(\Cake\Datasource\EntityInterface $entity, $options = [])
 * @method \App\Model\Entity\FeriaUsado patchEntity(\Cake\Datasource\EntityInterface $entity, array $data, array $options = [])
 * @method \App\Model\Entity\FeriaUsado[] patchEntities($entities, array $data, array $options = [])
 * @method \App\Model\Entity\FeriaUsado findOrCreate($search, callable $callback = null, $options = [])
 */
class FeriaUsadosTable extends Table
{

    /**
     * Initialize method
     *
     * @param array $config The configuration for the Table.
     * @return void
     */
    public function initialize(array $config)
    {
        parent::initialize($config);

        $this->setTable('feria_usados');
        $this->setDisplayField('id');
        $this->setPrimaryKey('id');
    }

    /**
     * Default validation rules.
     *
     * @param \Cake\Validation\Validator $validator Validator instance.
     * @return \Cake\Validation\Validator
     */
    public function validationDefault(Validator $validator)
    {
        $validator
            ->integer('id')
            ->allowEmpty('id', 'create');

        $validator
            ->scalar('chassis')
            ->maxLength('chassis', 250)
            ->allowEmpty('chassis');

        $validator
            ->scalar('modelo')
            ->maxLength('modelo', 250)
            ->allowEmpty('modelo');

        $validator
            ->scalar('año')
            ->maxLength('año', 250)
            ->allowEmpty('año');

        $validator
            ->scalar('color')
            ->maxLength('color', 250)
            ->allowEmpty('color');

        $validator
            ->scalar('chapa')
            ->maxLength('chapa', 250)
            ->allowEmpty('chapa');

        $validator
            ->numeric('antes')
            ->allowEmpty('antes');

        $validator
            ->numeric('ahora')
            ->allowEmpty('ahora');

        return $validator;
    }
}
