<?php
namespace App\Model\Table;

use Cake\ORM\Query;
use Cake\ORM\RulesChecker;
use Cake\ORM\Table;
use Cake\Validation\Validator;

/**
 * Gastos Model
 *
 *
 * @method \App\Model\Entity\Gasto get($primaryKey, $options = [])
 * @method \App\Model\Entity\Gasto newEntity($data = null, array $options = [])
 * @method \App\Model\Entity\Gasto[] newEntities(array $data, array $options = [])
 * @method \App\Model\Entity\Gasto|false save(\Cake\Datasource\EntityInterface $entity, $options = [])
 * @method \App\Model\Entity\Gasto saveOrFail(\Cake\Datasource\EntityInterface $entity, $options = [])
 * @method \App\Model\Entity\Gasto patchEntity(\Cake\Datasource\EntityInterface $entity, array $data, array $options = [])
 * @method \App\Model\Entity\Gasto[] patchEntities($entities, array $data, array $options = [])
 * @method \App\Model\Entity\Gasto findOrCreate($search, callable $callback = null, $options = [])
 */
class GastosTable extends Table
{
    /**
     * Initialize method
     *
     * @param array $config The configuration for the Table.
     * @return void
     */
    public function initialize(array $config)
    {
        parent::initialize($config);

        $this->setTable('gastos');
        $this->displayField('id');
        $this->primaryKey('id');

       
    }

    /**
     * Default validation rules.
     *
     * @param \Cake\Validation\Validator $validator Validator instance.
     * @return \Cake\Validation\Validator
     */
    public function validationDefault(Validator $validator)
    {
        $validator
            ->integer('id')
            ->allowEmptyString('id');

        $validator
            ->scalar('fecha')
            ->maxLength('fecha', 15)
            ->allowEmptyString('fecha');

        $validator
            ->scalar('fechacarga')
            ->maxLength('fechacarga', 15)
            ->allowEmptyString('fechacarga');

        $validator
            ->numeric('monto')
            ->allowEmptyString('monto');

        $validator
            ->scalar('motivo')
            ->allowEmptyString('motivo');

        $validator
            ->integer('moneda')
            ->allowEmptyString('moneda');

        $validator
            ->integer('borrado')
            ->allowEmptyString('borrado');

        $validator
            ->integer('usuario')
            ->allowEmptyString('usuario');

        $validator
            ->scalar('caja')
            ->maxLength('caja', 50)
            ->allowEmptyString('caja');

        $validator
            ->integer('cierre')
            ->allowEmptyString('cierre');

        $validator
            ->scalar('numfactura')
            ->maxLength('numfactura', 60)
            ->allowEmptyString('numfactura');

        $validator
            ->integer('tipgasto')
            ->allowEmptyString('tipgasto');

        $validator
            ->integer('deposito')
            ->allowEmptyString('deposito');

        $validator
            ->dateTime('fechasct')
            ->allowEmptyDateTime('fechasct');

        $validator
            ->integer('usuariosct')
            ->allowEmptyString('usuariosct');

        $validator
            ->scalar('maquinasct')
            ->maxLength('maquinasct', 150)
            ->allowEmptyString('maquinasct');

        $validator
            ->integer('nrocierre')
            ->allowEmptyString('nrocierre');

        $validator
            ->integer('cierrecajagennro')
            ->allowEmptyString('cierrecajagennro');

        $validator
            ->numeric('valor')
            ->allowEmptyString('valor');

        $validator
            ->integer('codigoadelanto')
            ->allowEmptyString('codigoadelanto');

        $validator
            ->integer('codigoliquidacion')
            ->allowEmptyString('codigoliquidacion');

        $validator
            ->integer('ingresoencaja')
            ->allowEmptyString('ingresoencaja');

        $validator
            ->integer('tipo_adelanto')
            ->allowEmptyString('tipo_adelanto');

        $validator
            ->numeric('adelanto_monto')
            ->allowEmptyString('adelanto_monto');

        $validator
            ->numeric('deuda_monto')
            ->allowEmptyString('deuda_monto');

        $validator
            ->integer('funcionario')
            ->allowEmptyString('funcionario');

        return $validator;
    }
}
