<?php
namespace App\Model\Table;

use Cake\ORM\Query;
use Cake\ORM\RulesChecker;
use Cake\ORM\Table;
use Cake\Validation\Validator;

/**
 * ListadoStocks Model
 *
 * @method \App\Model\Entity\ListadoStock get($primaryKey, $options = [])
 * @method \App\Model\Entity\ListadoStock newEntity($data = null, array $options = [])
 * @method \App\Model\Entity\ListadoStock[] newEntities(array $data, array $options = [])
 * @method \App\Model\Entity\ListadoStock|bool save(\Cake\Datasource\EntityInterface $entity, $options = [])
 * @method \App\Model\Entity\ListadoStock patchEntity(\Cake\Datasource\EntityInterface $entity, array $data, array $options = [])
 * @method \App\Model\Entity\ListadoStock[] patchEntities($entities, array $data, array $options = [])
 * @method \App\Model\Entity\ListadoStock findOrCreate($search, callable $callback = null, $options = [])
 */
class ListadoStocksTable extends Table
{

    /**
     * Initialize method
     *
     * @param array $config The configuration for the Table.
     * @return void
     */
    public function initialize(array $config)
    {
        parent::initialize($config);

        $this->table('listado_stocks');
    }

    /**
     * Default validation rules.
     *
     * @param \Cake\Validation\Validator $validator Validator instance.
     * @return \Cake\Validation\Validator
     */
    public function validationDefault(Validator $validator)
    {
        $validator
            ->integer('id')
            ->allowEmpty('id');

        $validator
            ->allowEmpty('modelo');

        $validator
            ->allowEmpty('ano');

        $validator
            ->allowEmpty('color');

        $validator
            ->allowEmpty('chasis');

        $validator
            ->allowEmpty('observacion');

        $validator
            ->numeric('entregaminima')
            ->allowEmpty('entregaminima');

        $validator
            ->numeric('contado3meses')
            ->allowEmpty('contado3meses');

        $validator
            ->numeric('meses12')
            ->allowEmpty('meses12');

        $validator
            ->numeric('meses18')
            ->allowEmpty('meses18');

        $validator
            ->allowEmpty('estado');

        $validator
            ->allowEmpty('sena');

        $validator
            ->allowEmpty('sucursal');

        $validator
            ->allowEmpty('ubicacion');

        return $validator;
    }
}
