<?php
namespace App\Model\Table;

use Cake\ORM\Query;
use Cake\ORM\RulesChecker;
use Cake\ORM\Table;
use Cake\Validation\Validator;

/**
 * Marzoventas Model
 *
 * @method \App\Model\Entity\Marzoventa get($primaryKey, $options = [])
 * @method \App\Model\Entity\Marzoventa newEntity($data = null, array $options = [])
 * @method \App\Model\Entity\Marzoventa[] newEntities(array $data, array $options = [])
 * @method \App\Model\Entity\Marzoventa|bool save(\Cake\Datasource\EntityInterface $entity, $options = [])
 * @method \App\Model\Entity\Marzoventa|bool saveOrFail(\Cake\Datasource\EntityInterface $entity, $options = [])
 * @method \App\Model\Entity\Marzoventa patchEntity(\Cake\Datasource\EntityInterface $entity, array $data, array $options = [])
 * @method \App\Model\Entity\Marzoventa[] patchEntities($entities, array $data, array $options = [])
 * @method \App\Model\Entity\Marzoventa findOrCreate($search, callable $callback = null, $options = [])
 */
class MarzoventasTable extends Table
{

    /**
     * Initialize method
     *
     * @param array $config The configuration for the Table.
     * @return void
     */
    public function initialize(array $config)
    {
        parent::initialize($config);

        $this->setTable('marzoventas');
        $this->setDisplayField('id');
        $this->setPrimaryKey('id');
    }

    /**
     * Default validation rules.
     *
     * @param \Cake\Validation\Validator $validator Validator instance.
     * @return \Cake\Validation\Validator
     */
    public function validationDefault(Validator $validator)
    {
        $validator
            ->scalar('empresa')
            ->allowEmpty('empresa');

        $validator
            ->scalar('cli_tel')
            ->maxLength('cli_tel', 50)
            ->allowEmpty('cli_tel');

        $validator
            ->scalar('detalle')
            ->allowEmpty('detalle');

        $validator
            ->integer('ven_tipo')
            ->allowEmpty('ven_tipo');

        $validator
            ->integer('ven_nro')
            ->allowEmpty('ven_nro');

        $validator
            ->numeric('ven_moneda')
            ->allowEmpty('ven_moneda');

        $validator
            ->scalar('cliente')
            ->allowEmpty('cliente');

        $validator
            ->scalar('ci')
            ->maxLength('ci', 100)
            ->allowEmpty('ci');

        $validator
            ->scalar('factura')
            ->maxLength('factura', 50)
            ->allowEmpty('factura');

        $validator
            ->scalar('chasis')
            ->allowEmpty('chasis');

        $validator
            ->scalar('pro_detallelargo')
            ->allowEmpty('pro_detallelargo');

        $validator
            ->integer('ve_moneda')
            ->allowEmpty('ve_moneda');

        $validator
            ->numeric('compra')
            ->allowEmpty('compra');

        $validator
            ->numeric('venta')
            ->allowEmpty('venta');

        $validator
            ->numeric('entrega')
            ->allowEmpty('entrega');

        $validator
            ->numeric('saldo')
            ->allowEmpty('saldo');

        $validator
            ->scalar('chasisvehiculo')
            ->maxLength('chasisvehiculo', 100)
            ->allowEmpty('chasisvehiculo');

        $validator
            ->scalar('fecha')
            ->allowEmpty('fecha');

        $validator
            ->scalar('vendedor')
            ->allowEmpty('vendedor');

        $validator
            ->scalar('estadocomision')
            ->allowEmpty('estadocomision');

        $validator
            ->scalar('monedacomision')
            ->allowEmpty('monedacomision');

        $validator
            ->numeric('montoguaranies')
            ->allowEmpty('montoguaranies');

        $validator
            ->numeric('montocomisiondolares')
            ->allowEmpty('montocomisiondolares');

        return $validator;
    }
}
