<?php
namespace App\Model\Table;

use Cake\ORM\Query;
use Cake\ORM\RulesChecker;
use Cake\ORM\Table;
use Cake\Validation\Validator;

/**
 * Stocks Model
 *
 * @method \App\Model\Entity\Stock get($primaryKey, $options = [])
 * @method \App\Model\Entity\Stock newEntity($data = null, array $options = [])
 * @method \App\Model\Entity\Stock[] newEntities(array $data, array $options = [])
 * @method \App\Model\Entity\Stock|bool save(\Cake\Datasource\EntityInterface $entity, $options = [])
 * @method \App\Model\Entity\Stock patchEntity(\Cake\Datasource\EntityInterface $entity, array $data, array $options = [])
 * @method \App\Model\Entity\Stock[] patchEntities($entities, array $data, array $options = [])
 * @method \App\Model\Entity\Stock findOrCreate($search, callable $callback = null, $options = [])
 */
class StocksTable extends Table
{

    /**
     * Initialize method
     *
     * @param array $config The configuration for the Table.
     * @return void
     */
    public function initialize(array $config)
    {
        parent::initialize($config);

        $this->table('stocks');
        $this->displayField('id');
        $this->primaryKey('id');
    }

    /**
     * Default validation rules.
     *
     * @param \Cake\Validation\Validator $validator Validator instance.
     * @return \Cake\Validation\Validator
     */
    public function validationDefault(Validator $validator)
    {
        $validator
            ->integer('id')
            ->allowEmpty('id');

        $validator
            ->allowEmpty('modelo');

        $validator
            ->allowEmpty('vendedorentrega');

        $validator
            ->allowEmpty('ano');

        $validator
            ->allowEmpty('color');

        $validator
            ->allowEmpty('chasis');

        $validator
            ->allowEmpty('observacion');

        $validator
            ->numeric('entregaminima')
            ->allowEmpty('entregaminima');

        $validator
            ->numeric('contado3meses')
            ->allowEmpty('contado3meses');

        $validator
            ->numeric('meses12')
            ->allowEmpty('meses12');

        $validator
            ->numeric('meses18')
            ->allowEmpty('meses18');

        $validator
            ->numeric('contado')
            ->allowEmpty('contado');

        $validator
            ->numeric('costo')
            ->allowEmpty('costo');

        $validator
            ->allowEmpty('estado');

        $validator
            ->allowEmpty('sena');

        $validator
            ->allowEmpty('sucursal');

        $validator
            ->allowEmpty('ubicacion');


             $validator
            ->allowEmpty('imagen');

        $validator
            ->allowEmpty('fechaactualizacion');

        $validator
            ->integer('borrado')
            ->allowEmpty('borrado');

        $validator
            ->numeric('contadogs')
            ->allowEmpty('contadogs');

        $validator
            ->allowEmpty('deportivo');

        $validator
            ->numeric('aumentar')
            ->allowEmpty('aumentar');

        $validator
            ->integer('sumacolor')
            ->allowEmpty('sumacolor');

        $validator
            ->integer('mostrarprecio')
            ->allowEmpty('mostrarprecio');

         $validator
            ->numeric('aumentargenerente1')
            ->allowEmpty('aumentargenerente1');

         $validator
            ->numeric('aumentargenerente2')
            ->allowEmpty('aumentargenerente2');

        $validator
            ->numeric('aumentargenerente3')
            ->allowEmpty('aumentargenerente3');

        return $validator;
    }
}
