<?php
namespace App\Model\Table;

use Cake\ORM\Query;
use Cake\ORM\RulesChecker;
use Cake\ORM\Table;
use Cake\Validation\Validator;

/**
 * Trabajos Model
 *
 * @method \App\Model\Entity\Trabajo get($primaryKey, $options = [])
 * @method \App\Model\Entity\Trabajo newEntity($data = null, array $options = [])
 * @method \App\Model\Entity\Trabajo[] newEntities(array $data, array $options = [])
 * @method \App\Model\Entity\Trabajo|bool save(\Cake\Datasource\EntityInterface $entity, $options = [])
 * @method \App\Model\Entity\Trabajo|bool saveOrFail(\Cake\Datasource\EntityInterface $entity, $options = [])
 * @method \App\Model\Entity\Trabajo patchEntity(\Cake\Datasource\EntityInterface $entity, array $data, array $options = [])
 * @method \App\Model\Entity\Trabajo[] patchEntities($entities, array $data, array $options = [])
 * @method \App\Model\Entity\Trabajo findOrCreate($search, callable $callback = null, $options = [])
 */
class TrabajosTable extends Table
{

    /**
     * Initialize method
     *
     * @param array $config The configuration for the Table.
     * @return void
     */
    public function initialize(array $config)
    {
        parent::initialize($config);

        $this->setTable('trabajos');
        $this->setDisplayField('id');
        $this->setPrimaryKey('id');
    }

    /**
     * Default validation rules.
     *
     * @param \Cake\Validation\Validator $validator Validator instance.
     * @return \Cake\Validation\Validator
     */
    public function validationDefault(Validator $validator)
    {
        $validator
            ->integer('id')
            ->allowEmpty('id', 'create');

        $validator
            ->integer('usuario')
            ->allowEmpty('usuario');

        $validator
            ->scalar('pedido')
            ->maxLength('pedido', 1000)
            ->allowEmpty('pedido');

        $validator
            ->scalar('estado')
            ->maxLength('estado', 100)
            ->allowEmpty('estado');

        $validator
            ->scalar('fecna')
            ->maxLength('fecna', 25)
            ->allowEmpty('fecna');

        return $validator;
    }
}
