<?php
/**
 * @var \App\View\AppView $this
 * @var \App\Model\Entity\AdministradorPrecio[]|\Cake\Collection\CollectionInterface $administradorPrecios
 */
?>
<nav class="large-3 medium-4 columns" id="actions-sidebar">
    <ul class="side-nav">
        <li class="heading"><?= __('Actions') ?></li>
        <li><?= $this->Html->link(__('New Administrador Precio'), ['action' => 'add']) ?></li>
    </ul>
</nav>
<div class="administradorPrecios index large-9 medium-8 columns content">
    <h3><?= __('Administrador Precios') ?></h3>
    <table cellpadding="0" cellspacing="0">
        <thead>
            <tr>
                <th scope="col"><?= $this->Paginator->sort('id') ?></th>
                <th scope="col"><?= $this->Paginator->sort('menosentrega') ?></th>
                <th scope="col"><?= $this->Paginator->sort('tasainteres') ?></th>
                <th scope="col"><?= $this->Paginator->sort('preciocontado') ?></th>
                <th scope="col"><?= $this->Paginator->sort('preciocontadousado') ?></th>
                <th scope="col"><?= $this->Paginator->sort('precio36meses') ?></th>
                <th scope="col"><?= $this->Paginator->sort('preciocontado3meses') ?></th>
                <th scope="col" class="actions"><?= __('Actions') ?></th>
            </tr>
        </thead>
        <tbody>
            <?php foreach ($administradorPrecios as $administradorPrecio): ?>
            <tr>
                <td><?= $this->Number->format($administradorPrecio->id) ?></td>
                <td><?= $this->Number->format($administradorPrecio->menosentrega) ?></td>
                <td><?= $this->Number->format($administradorPrecio->tasainteres) ?></td>
                <td><?= $this->Number->format($administradorPrecio->preciocontado) ?></td>
                <td><?= $this->Number->format($administradorPrecio->preciocontadousado) ?></td>
                <td><?= $this->Number->format($administradorPrecio->precio36meses) ?></td>
                <td><?= $this->Number->format($administradorPrecio->preciocontado3meses) ?></td>
                <td class="actions">
                    <?= $this->Html->link(__('View'), ['action' => 'view', $administradorPrecio->id]) ?>
                    <?= $this->Html->link(__('Edit'), ['action' => 'edit', $administradorPrecio->id]) ?>
                    <?= $this->Form->postLink(__('Delete'), ['action' => 'delete', $administradorPrecio->id], ['confirm' => __('Are you sure you want to delete # {0}?', $administradorPrecio->id)]) ?>
                </td>
            </tr>
            <?php endforeach; ?>
        </tbody>
    </table>
    <div class="paginator">
        <ul class="pagination">
            <?= $this->Paginator->first('<< ' . __('first')) ?>
            <?= $this->Paginator->prev('< ' . __('previous')) ?>
            <?= $this->Paginator->numbers() ?>
            <?= $this->Paginator->next(__('next') . ' >') ?>
            <?= $this->Paginator->last(__('last') . ' >>') ?>
        </ul>
        <p><?= $this->Paginator->counter(['format' => __('Page {{page}} of {{pages}}, showing {{current}} record(s) out of {{count}} total')]) ?></p>
    </div>
</div>
