<?php
/**
  * @var \App\View\AppView $this
  */
?>
<nav class="large-3 medium-4 columns" id="actions-sidebar">
    <ul class="side-nav">
        <li class="heading"><?= __('Actiones') ?></li>
        <li><?= $this->Html->link(__('Nuevo Cuota'), ['action' => 'add']) ?></li>
    </ul>
</nav>
<div class="cuotas index large-9 medium-8 columns content">
    <h3><?= __('Cuotas') ?></h3>
    <table cellpadding="0" cellspacing="0">
        <thead>
            <tr>
                <th scope="col"><?= $this->Paginator->sort('id') ?></th>
                <th scope="col"><?= $this->Paginator->sort('total') ?></th>
                <th scope="col"><?= $this->Paginator->sort('entrega') ?></th>
                <th scope="col"><?= $this->Paginator->sort('numerocuota') ?></th>
                <th scope="col"><?= $this->Paginator->sort('fechavencimiento') ?></th>
                <th scope="col"><?= $this->Paginator->sort('estado') ?></th>
                <th scope="col"><?= $this->Paginator->sort('saldo') ?></th>
                <th scope="col"><?= $this->Paginator->sort('fechapago') ?></th>
                <th scope="col"><?= $this->Paginator->sort('credito') ?></th>
                <th scope="col"><?= $this->Paginator->sort('fechaactualizacion') ?></th>
                <th scope="col" class="actions"><?= __('Actiones') ?></th>
            </tr>
        </thead>
        <tbody>
            <?php foreach ($cuotas as $cuota): ?>
            <tr>
                <td><?= $this->Number->format($cuota->id) ?></td>
                <td><?= $this->Number->format($cuota->total) ?></td>
                <td><?= $this->Number->format($cuota->entrega) ?></td>
                <td><?= $this->Number->format($cuota->numerocuota) ?></td>
                <td><?= h($cuota->fechavencimiento) ?></td>
                <td><?= h($cuota->estado) ?></td>
                <td><?= $this->Number->format($cuota->saldo) ?></td>
                <td><?= h($cuota->fechapago) ?></td>
                <td><?= $this->Number->format($cuota->credito) ?></td>
                <td><?= h($cuota->fechaactualizacion) ?></td>
                <td class="actions">
                    <?= $this->Html->link(__('Ver'), ['action' => 'view', $cuota->id]) ?>
                    <?= $this->Html->link(__('Editar'), ['action' => 'edit', $cuota->id]) ?>
                    <?= $this->Form->postLink(__('Borrar'), ['action' => 'delete', $cuota->id], ['confirm' => __('Desea eliminar registro # {0}?', $cuota->id)]) ?>
                </td>
            </tr>
            <?php endforeach; ?>
        </tbody>
    </table>
    <div class="paginator">
        <ul class="pagination">
            <?= $this->Paginator->first('<< ' . __('Primero')) ?>
            <?= $this->Paginator->prev('< ' . __('Anterior')) ?>
            <?= $this->Paginator->numbers() ?>
            <?= $this->Paginator->next(__('Siguiente') . ' >') ?>
            <?= $this->Paginator->last(__('Ultimo') . ' >>') ?>
        </ul>
        <p><?= $this->Paginator->counter(['format' => __('Pagina {{page}} de {{pages}}, mostrando {{current}} registro(s) de {{count}} total')]) ?></p>
    </div>
</div>
