<?php
/**
 * @var \App\View\AppView $this
 * @var \App\Model\Entity\DepositosUbica[]|\Cake\Collection\CollectionInterface $depositosUbicas
 */
?>
<nav class="large-3 medium-4 columns" id="actions-sidebar">
    <ul class="side-nav">
        <li class="heading"><?= __('Actions') ?></li>
        <li><?= $this->Html->link(__('New Depositos Ubica'), ['action' => 'add']) ?></li>
        <li><?= $this->Html->link(__('List Depositos'), ['controller' => 'Depositos', 'action' => 'index']) ?></li>
        <li><?= $this->Html->link(__('New Deposito'), ['controller' => 'Depositos', 'action' => 'add']) ?></li>
        <li><?= $this->Html->link(__('List Ubicas'), ['controller' => 'Ubicas', 'action' => 'index']) ?></li>
        <li><?= $this->Html->link(__('New Ubica'), ['controller' => 'Ubicas', 'action' => 'add']) ?></li>
    </ul>
</nav>
<div class="depositosUbicas index large-9 medium-8 columns content">
    <h3><?= __('Depositos Ubicas') ?></h3>
    <table cellpadding="0" cellspacing="0">
        <thead>
            <tr>
                <th scope="col"><?= $this->Paginator->sort('id') ?></th>
                <th scope="col"><?= $this->Paginator->sort('deposito_id') ?></th>
                <th scope="col"><?= $this->Paginator->sort('ubica_id') ?></th>
                <th scope="col"><?= $this->Paginator->sort('chasis') ?></th>
                <th scope="col"><?= $this->Paginator->sort('estado') ?></th>
                <th scope="col" class="actions"><?= __('Actions') ?></th>
            </tr>
        </thead>
        <tbody>
            <?php foreach ($depositosUbicas as $depositosUbica): ?>
            <tr>
                <td><?= $this->Number->format($depositosUbica->id) ?></td>
                <td><?= $depositosUbica->has('deposito') ? $this->Html->link($depositosUbica->deposito->sucursal, ['controller' => 'Depositos', 'action' => 'view', $depositosUbica->deposito->id]) : '' ?></td>
                <td><?= $depositosUbica->has('ubica') ? $this->Html->link($depositosUbica->ubica->ubicacion, ['controller' => 'Ubicas', 'action' => 'view', $depositosUbica->ubica->id]) : '' ?></td>
                <td><?= h($depositosUbica->chasis) ?></td>
                <td><?= $this->Number->format($depositosUbica->estado) ?></td>
                <td class="actions">
                    <?= $this->Html->link(__('View'), ['action' => 'view', $depositosUbica->id]) ?>
                    <?= $this->Html->link(__('Edit'), ['action' => 'edit', $depositosUbica->id]) ?>
                    <?= $this->Form->postLink(__('Delete'), ['action' => 'delete', $depositosUbica->id], ['confirm' => __('Are you sure you want to delete # {0}?', $depositosUbica->id)]) ?>
                </td>
            </tr>
            <?php endforeach; ?>
        </tbody>
    </table>
    <div class="paginator">
        <ul class="pagination">
            <?= $this->Paginator->first('<< ' . __('first')) ?>
            <?= $this->Paginator->prev('< ' . __('previous')) ?>
            <?= $this->Paginator->numbers() ?>
            <?= $this->Paginator->next(__('next') . ' >') ?>
            <?= $this->Paginator->last(__('last') . ' >>') ?>
        </ul>
        <p><?= $this->Paginator->counter(['format' => __('Page {{page}} of {{pages}}, showing {{current}} record(s) out of {{count}} total')]) ?></p>
    </div>
</div>
