<?php
/**
 * @var \App\View\AppView $this
 * @var \App\Model\Entity\Marzoventa $marzoventa
 */
?>
<nav class="large-3 medium-4 columns" id="actions-sidebar">
    <ul class="side-nav">
        <li class="heading"><?= __('Actions') ?></li>
        <li><?= $this->Html->link(__('Edit Marzoventa'), ['action' => 'edit', $marzoventa->id]) ?> </li>
        <li><?= $this->Form->postLink(__('Delete Marzoventa'), ['action' => 'delete', $marzoventa->id], ['confirm' => __('Are you sure you want to delete # {0}?', $marzoventa->id)]) ?> </li>
        <li><?= $this->Html->link(__('List Marzoventas'), ['action' => 'index']) ?> </li>
        <li><?= $this->Html->link(__('New Marzoventa'), ['action' => 'add']) ?> </li>
    </ul>
</nav>
<div class="marzoventas view large-9 medium-8 columns content">
    <h3><?= h($marzoventa->id) ?></h3>
    <table class="vertical-table">
        <tr>
            <th scope="row"><?= __('Cli Tel') ?></th>
            <td><?= h($marzoventa->cli_tel) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Ci') ?></th>
            <td><?= h($marzoventa->ci) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Factura') ?></th>
            <td><?= h($marzoventa->factura) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Chasisvehiculo') ?></th>
            <td><?= h($marzoventa->chasisvehiculo) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Id') ?></th>
            <td><?= $this->Number->format($marzoventa->id) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Ven Tipo') ?></th>
            <td><?= $this->Number->format($marzoventa->ven_tipo) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Ven Nro') ?></th>
            <td><?= $this->Number->format($marzoventa->ven_nro) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Ven Moneda') ?></th>
            <td><?= $this->Number->format($marzoventa->ven_moneda) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Ve Moneda') ?></th>
            <td><?= $this->Number->format($marzoventa->ve_moneda) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Compra') ?></th>
            <td><?= $this->Number->format($marzoventa->compra) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Venta') ?></th>
            <td><?= $this->Number->format($marzoventa->venta) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Entrega') ?></th>
            <td><?= $this->Number->format($marzoventa->entrega) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Saldo') ?></th>
            <td><?= $this->Number->format($marzoventa->saldo) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Montoguaranies') ?></th>
            <td><?= $this->Number->format($marzoventa->montoguaranies) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Montocomisiondolares') ?></th>
            <td><?= $this->Number->format($marzoventa->montocomisiondolares) ?></td>
        </tr>
    </table>
    <div class="row">
        <h4><?= __('Empresa') ?></h4>
        <?= $this->Text->autoParagraph(h($marzoventa->empresa)); ?>
    </div>
    <div class="row">
        <h4><?= __('Detalle') ?></h4>
        <?= $this->Text->autoParagraph(h($marzoventa->detalle)); ?>
    </div>
    <div class="row">
        <h4><?= __('Cliente') ?></h4>
        <?= $this->Text->autoParagraph(h($marzoventa->cliente)); ?>
    </div>
    <div class="row">
        <h4><?= __('Chasis') ?></h4>
        <?= $this->Text->autoParagraph(h($marzoventa->chasis)); ?>
    </div>
    <div class="row">
        <h4><?= __('Pro Detallelargo') ?></h4>
        <?= $this->Text->autoParagraph(h($marzoventa->pro_detallelargo)); ?>
    </div>
    <div class="row">
        <h4><?= __('Fecha') ?></h4>
        <?= $this->Text->autoParagraph(h($marzoventa->fecha)); ?>
    </div>
    <div class="row">
        <h4><?= __('Vendedor') ?></h4>
        <?= $this->Text->autoParagraph(h($marzoventa->vendedor)); ?>
    </div>
    <div class="row">
        <h4><?= __('Estadocomision') ?></h4>
        <?= $this->Text->autoParagraph(h($marzoventa->estadocomision)); ?>
    </div>
    <div class="row">
        <h4><?= __('Monedacomision') ?></h4>
        <?= $this->Text->autoParagraph(h($marzoventa->monedacomision)); ?>
    </div>
</div>
