<div class="row">
    <div class="col-md-12">
        <div class="page-header">
            <h2>Listados de precios</h2>
            <div class="">
                <?= $this->Html->link('+ Add. precio', ['action' => 'add'], ['class' => 'btn btn-ls btn-success']) ?>
            </div>
        </div>

        <div class="row">
            <div class="col-md-4">
                <?php echo $this->Form->create('Preciocreditos', array('type' => 'GET', 'class' => '', 'url' => array('controller' => 'Preciocreditos', 'action' => 'index'))); ?>
                <?php echo $this->Form->input('search', array('label' => false, 'value' => $search, 'div' => false, 'id' => 's', 'class' => '', 'autocomplete' => 'off', 'placeholder' => 'Buscar modelo...')); ?>
            </div>
            <div class="col-md-4">
                <?php echo $this->Form->button('Buscar', array('div' => false, 'class' => 'btn btn-primary')); ?> <?php echo $this->Form->end(); ?>
            </div>
        </div>



        <div class="table-responsive">
            <table class="table table-striped table-hover">
                <thead>
                    <tr>
                        <th><?= $this->Paginator->sort('id') ?></th>
                        <th><?= $this->Paginator->sort('modelo', ['Modelo']) ?></th>
                        <th><?= $this->Paginator->sort('ano_desde', ['Desde']) ?></th>
                        <th><?= $this->Paginator->sort('ano_hasta', ['Hasta']) ?></th>
                        <th><?= $this->Paginator->sort('carroceria', ['Carroceria']) ?></th>
                        <th><?= $this->Paginator->sort('entregaminimags', ['Entrega']) ?></th>
                        <th><?= $this->Paginator->sort('interes', ['interes']) ?></th>
                        <th>Acciones</th>
                    </tr>
                </thead>
                <tbody>
                    <?php foreach ($preciocreditos as $preciocredito) : ?>
                        <tr>
                            <td><?= $this->Number->format($preciocredito->id) ?></td>
                            <td><?= h($preciocredito->modelo) ?></td>
                            <td><?= h($preciocredito->ano_desde) ?></td>
                            <td><?= h($preciocredito->ano_hasta) ?></td>
                            <td>
                                <?php 
                                switch ($preciocredito->carroceria) {
                                    case 1:
                                        echo 'NORMAL';
                                        break;
                                    case 2:
                                        echo 'VIEJO';
                                        break;
                                    case 3:
                                        echo 'NUEVO';
                                        break;
                                    case 4:
                                        echo 'EQUIPADO';
                                        break;
                                    default:
                                        echo '';
                                        break;
                                }
                                ?>
                            </td>

                            <td><?= $this->Number->format($preciocredito->entregaminimags) ?></td>
                            <td><?= $this->Number->format($preciocredito->interes) ?></td>

                            <td>
                                <?= $this->Html->link('Ver', ['action' => 'verprecio', $preciocredito->id], ['class' => 'btn btn-sm btn-success']) ?>
                                <?= $this->Html->link('Editar', ['action' => 'editarprecio', $preciocredito->id], ['class' => 'btn btn-sm btn-primary']) ?>
                                <?= $this->Form->postLink('Eliminar', ['action' => 'borrarprecio', $preciocredito->id], ['confirm' => 'Eliminar ?', 'class' => 'btn btn-sm btn-danger']) ?>
                            </td>
                        </tr>
                    <?php endforeach; ?>
                </tbody>
            </table>
        </div>

        <div class="paginator">
            <ul class="pagination">
                <?= $this->Paginator->prev('< Anterior') ?>
                <?= $this->Paginator->numbers(['before' => '', 'after' => '']) ?>
                <?= $this->Paginator->next('Siguiente >') ?>
            </ul>
            <p><?= $this->Paginator->counter() ?></p>
        </div>
    </div>
</div>