<?php
/**
 * @var \App\View\AppView $this
 * @var \App\Model\Entity\Propuestasimulador[]|\Cake\Collection\CollectionInterface $propuestasimuladors
 */
?>



<div class="row">
    <div class="col-md-12">

        

    	<div class="page-header">
    		<h2>Planilla de propuestas</h2>
            <button type="button" class="btn btn-success" data-toggle="modal"
                data-target="#modal-success">
                AGREGAR
            </button>
    	</div>
    	<div class="table-responsive">
    		<table class="table table-striped table-hover">
    		<thead>
    		<tr>
            
                <th><?= $this->Paginator->sort('fecha', ['Fecha']) ?></th>
                <th><?= $this->Paginator->sort('vendedor', ['Vendedor']) ?></th>
                <th><?= $this->Paginator->sort('chasis', ['Chasis']) ?></th>
                <th><?= $this->Paginator->sort('bono', ['Bono']) ?></th>
                <th><?= $this->Paginator->sort('observacion', ['Observación']) ?></th>
                <th>Acciones</th>
    		</tr>
    		</thead>
    		<tbody>
    		<?php foreach ($propuestasimuladors as $propuestasimulador):  ?>

    		<tr>
                <td><?= h($propuestasimulador->fecha) ?></td>
                <td><?= h($propuestasimulador->vendedor) ?></td>
                <td><?= h($propuestasimulador->chasis) ?></td>
                <td><?= h($propuestasimulador->bono) ?></td>
                <td><?= h($propuestasimulador->observacion) ?></td>
                <td>
                    <?= $this->Html->link('Ver', ['action' => 'view', $propuestasimulador->simulador_venta->id], ['class' => 'btn btn-sm btn-info']) ?>
                </td>
    		</tr>
    	<?php endforeach; ?>
    		</tbody>
    		</table>
    	</div>

        <div class="paginator">
            <ul class="pagination">
                <?= $this->Paginator->prev('< Anterior') ?>
                <?= $this->Paginator->numbers(['before' => '', 'after' => '']) ?>
                <?= $this->Paginator->next('Siguiente >') ?>
            </ul>
            <p><?= $this->Paginator->counter() ?></p>
        </div>
    </div>
</div>




<div class="modal fade" id="modal-success">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span></button>
                <h4 class="modal-title">AGREGAR DATOS</h4>
            </div>
            <div class="modal-body">
            <?= $this->Form->create($propuestasimulado) ?>
            <fieldset>
              
                <?php
                
                    echo $this->Form->input('estado', ['label' => 'Codigo de la simulación']);
                    echo $this->Form->control('bono');
                    echo $this->Form->control('observacion');
                ?>
            </fieldset>
           
            </div>
            <!-- /.box-body -->

            <?= $this->Form->button('AGREGAR',['class' => 'btn btn-primary btn-lg btn-block']) ?>
            <?php echo $this->Form->end(); ?>
        </div>
        <div class="modal-footer">
            <button type="button" class="btn btn-sm btn-danger" data-dismiss="modal">Cerrar</button>
        </div>
    </div>
    <!-- /.modal-content -->
</div>
<!-- /.modal-dialog -->
</div>
<!-- /.modal -->



<!-- daterange picker -->
<?php echo $this->Html->css('AdminLTE./bower_components/bootstrap-daterangepicker/daterangepicker', ['block' => 'css']); ?>
<!-- bootstrap datepicker -->
<?php echo $this->Html->css('AdminLTE./bower_components/bootstrap-datepicker/dist/css/bootstrap-datepicker.min', ['block' => 'css']); ?>
<!-- iCheck for checkboxes and radio inputs -->
<?php echo $this->Html->css('AdminLTE./plugins/iCheck/all', ['block' => 'css']); ?>
<!-- Bootstrap Color Picker -->
<?php echo $this->Html->css('AdminLTE./bower_components/bootstrap-colorpicker/dist/css/bootstrap-colorpicker.min', ['block' => 'css']); ?>
<!-- Bootstrap time Picker -->
<?php echo $this->Html->css('AdminLTE./plugins/timepicker/bootstrap-timepicker.min', ['block' => 'css']); ?>
<!-- Select2 -->
<?php echo $this->Html->css('AdminLTE./bower_components/select2/dist/css/select2.min', ['block' => 'css']); ?>

<!-- Select2 -->
<?php echo $this->Html->script('AdminLTE./bower_components/select2/dist/js/select2.full.min', ['block' => 'script']); ?>
<!-- InputMask -->
<?php echo $this->Html->script('AdminLTE./plugins/input-mask/jquery.inputmask', ['block' => 'script']); ?>
<?php echo $this->Html->script('AdminLTE./plugins/input-mask/jquery.inputmask.date.extensions', ['block' => 'script']); ?>
<?php echo $this->Html->script('AdminLTE./plugins/input-mask/jquery.inputmask.extensions', ['block' => 'script']); ?>
<!-- date-range-picker -->
<?php echo $this->Html->script('AdminLTE./bower_components/moment/min/moment.min', ['block' => 'script']); ?>
<?php echo $this->Html->script('AdminLTE./bower_components/bootstrap-daterangepicker/daterangepicker', ['block' => 'script']); ?>
<!-- bootstrap datepicker -->
<?php echo $this->Html->script('AdminLTE./bower_components/bootstrap-datepicker/dist/js/bootstrap-datepicker.min', ['block' => 'script']); ?>
<!-- bootstrap color picker -->
<?php echo $this->Html->script('AdminLTE./bower_components/bootstrap-colorpicker/dist/js/bootstrap-colorpicker.min', ['block' => 'script']); ?>
<!-- bootstrap time picker -->
<?php echo $this->Html->script('AdminLTE./plugins/timepicker/bootstrap-timepicker.min', ['block' => 'script']); ?>
<!-- iCheck 1.0.1 -->
<?php echo $this->Html->script('AdminLTE./plugins/iCheck/icheck.min', ['block' => 'script']); ?>

