<style>
  .collapsable {
    border: 1px solid #ccc;
    margin-bottom: 10px;
  }

  .collapsable-header {
    background-color: #f0f0f0;
    padding: 10px;
    cursor: pointer;
    user-select: none;
  }

  .collapsable-comprobante-proveedor {
    padding: 10px;
    display: none;
  }

  .collapsable-comprobante-cliente {
    padding: 10px;
    display: none;
  }

  .collapsable-extracto-bancario {
    padding: 10px;
    display: none;
  }
</style>

<div class="row">
  <div class="col-md-6 col-md-offset-3">
    <div div style="text-align: center">
      <h4>Adicionar Referencias de Clientes (Informal)</h4>
    </div>
    <?= $this->Form->create($cliente, ['type' => 'file', 'enctype' => 'multipart/form-data']) ?>
    <?php echo $this->Form->input('cedula', array('label' => 'Documento:')); ?>
    <?php echo $this->Form->input('apellido', ['label' => 'Apellido(s):', 'onkeyup' => "this.value = this.value.toUpperCase();"]); ?>
    <?php echo $this->Form->input('nombre', ['label' => 'Nombre(s):', 'onkeyup' => "this.value = this.value.toUpperCase();"]); ?>
    <div>
      <p>Frente y Reverso de la Cédula:</p>
    </div>
    <?= $this->Form->file('files[]', ['label' => 'Cedula (Frente):']) ?>
    <?= $this->Form->file('files[]', ['label' => 'Cedula (Reverso):']) ?>

    <div id="ccproveedor" class="collapsable">
      <div class="collapsable-header" onclick="toggle_comprobante_proveedor()">(+) Comprobante de compra (proveedor)</div>
      <div class="collapsable-comprobante-proveedor">
        <?= $this->Form->input('empresa_cc', ['label' => 'Nombre de la empresa:']) ?>
        <?= $this->Form->input('telefono_cc', ['label' => 'Telefono:']) ?>
        <?= $this->Form->input('observacion_cc', ['label' => 'Observación:']) ?>
        <div>
          <p>Cargar Comprobante:</p>
        </div>
        <?= $this->Form->file('files[]', ['label' => 'Cargar comprobante']) ?>
      </div>
    </div>

    <div id="ccventa" class="collapsable">
      <div class="collapsable-header" onclick="toggle_comprobante_cliente()">(+) Comprobante de venta (cliente)</div>
      <div class="collapsable-comprobante-cliente">
        <?= $this->Form->input('empresa_cv', ['label' => 'Nombre de la empresa 1:']) ?>
        <?= $this->Form->input('telefono_cv', ['label' => 'Telefono 1:']) ?>
        <?= $this->Form->input('observacion_cv', ['label' => 'Observación 1:']) ?>
        <div>
          <p>Cargar Comprobante:</p>
        </div>

        <?= $this->Form->file('files[]', ['label' => 'Cargar comprobante']) ?>
      </div>
    </div>

    <div id="cbancario" class="collapsable">
      <div class="collapsable-header" onclick="toggle_extracto_bancario()">(+) Comprobante bancario</div>
      <div class="collapsable-extracto-bancario">
        <?= $this->Form->input('banco_cb', ['label' => 'Banco:']) ?>
        <div>
          <p>Cargar Comprobante:</p>
        </div>
        <?= $this->Form->file('files[]', ['label' => 'Cargar comprobante']) ?>
      </div>
    </div>

    <?= $this->Form->button('GUARDAR', ['class' => 'btn btn-primary btn-block']) ?>
    <?= $this->Form->end() ?>
  </div>
  <div>
    <hr />
  </div>
</div>

<script>
  function toggle_comprobante_proveedor() {
    var content = document.querySelector('.collapsable-comprobante-proveedor');
    content.style.display = (content.style.display === 'none') ? 'block' : 'none';
  }

  function toggle_comprobante_cliente() {
    var content = document.querySelector('.collapsable-comprobante-cliente');
    content.style.display = (content.style.display === 'none') ? 'block' : 'none';
  }

  function toggle_extracto_bancario() {
    var content = document.querySelector('.collapsable-extracto-bancario');
    content.style.display = (content.style.display === 'none') ? 'block' : 'none';
  }
</script>